summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJozsef Kadlecsik <kadlec@blackhole.kfki.hu>2014-01-07 17:44:26 +0100
committerJozsef Kadlecsik <kadlec@blackhole.kfki.hu>2014-01-07 17:45:28 +0100
commita96938c0f58135108af64ad6a2adf7254fcc4de0 (patch)
tree4a94c984e9e7066c591ef299f9c3be65878958a3
parent8a88bdf50b448e221a8b0b6a5c8446ebafcefa19 (diff)
ipset 6.20.2 releasedipset-6.20.x
-rw-r--r--ChangeLog11
-rw-r--r--configure.ac2
-rw-r--r--kernel/ChangeLog9
3 files changed, 21 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index f95c73b..18e3de9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,14 @@
+6.20.2
+ - fix timeout data type size (Nikolay Martynov)
+ - Fix malformed output from list/save for ICMP types in port field.
+ (Sergey Popovich)
+ - Fix all set output from list/save when set with counters in use.
+ (Sergey Popovich)
+ - manpage: remove spare comma for hash:net,net test action.
+ (Mart Frauenlob)
+ - manpage: correct add action synopsis for hash:net,port,net.
+ (Mart Frauenlob)
+
6.20.1
- build: fix incorrect library versioning (Jan Engelhardt)
- netfilter: ipset: Fix configure failure when --with-kmod=no
diff --git a/configure.ac b/configure.ac
index b886778..1a73db6 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,5 +1,5 @@
dnl Boilerplate
-AC_INIT([ipset], [6.20.1], [kadlec@blackhole.kfki.hu])
+AC_INIT([ipset], [6.20.2], [kadlec@blackhole.kfki.hu])
AC_CONFIG_AUX_DIR([build-aux])
AC_CANONICAL_HOST
AC_CONFIG_MACRO_DIR([m4])
diff --git a/kernel/ChangeLog b/kernel/ChangeLog
index e07fa1a..b5bc317 100644
--- a/kernel/ChangeLog
+++ b/kernel/ChangeLog
@@ -1,3 +1,12 @@
+6.20.2
+ - Follow manual page behavior for SET target on list:set
+ (Sergey Popovich)
+ - use rbtree postorder iteration instead of opencoding
+ (Cody P Schafer)
+ - Typo in ip_set_hash_netnet.c fixed (David Binderman)
+ - Add hash: fix coccinelle warnings (Fengguang Wu)
+ - remove unused code (Stephen Hemminger)
+
6.20.1
- netfilter: ipset: remove duplicate define (Michael Opdenacker)
- net->user_ns is available starting from 3.8, add compatibility